Click to see the handsets now supported by PhoneBase 2

Frequently Asked Questions - PhoneBase 1

Q3

How do I upgrade from PhoneBase 1.3.x or 1.4.x to 1.5

 

A3

You will require 1.5.x upgrade software to to do this. This can be supplied by Envisage System. Please Email Envisage Systems with your request. Email

Back

[Home] [Information] [Support] [Training] [Contact] [Ordering] [News] [PhoneBase 1 Support] [FAQ's] [Downloads]